/*
 * errmes.h
 *   Copyright (C) 1988-1992, Haruyasu YOSHIZAKI
 *   Copyright (C) 1991-1995, Satoshi HIRAMATSU (OS/2 HPFS version)
 *
 * $Log$
 */


#ifndef __INCLUDED_ERRMES_H
#define __INCLUDED_ERRMES_H
#ifdef __cplusplus
extern "C" {
#endif


#define NOARCNMERR	_NOARCNMERR
#define NOFNERR		_NOFNERR
#define NOARCERR	_NOARCERR
#define MKTMPERR	_MKTMPERR
#define DUPFNERR	_DUPFNERR
#define TOOLONGERR	_TOOLONGERR
#define NOFILEERR	_NOFILEERR
#define MKFILEERR	_MKFILEERR
#define RDERR		_RDERR
#define WTERR		_WTERR
#define MEMOVRERR	_MEMOVRERR
#define CTRLBRK		_CTRLBRK
#define NOMATCHERR	_NOMATCHERR
#define NOTLZH		_NOTLZH

#define SAMEFILE	_SAMEFILE
#define OVERWT		_OVERWT
#define MKDIR		_MKDIR
#define MKDIRERR	_MKDIRERR
#define RDONLY		_RDONLY
#define COPYERR		_COPYERR

#define BROKENARC	_BROKENARC
#define MAYDELETE	_MAYDELETE
#define MAYCONT		_MAYCONT

#define SAMEDIR		_SAMEDIR
#define NEWFILE		_NEWFILE
#define METHODERR	_METHODERR
#define DISKFULL	_DISKFULL
#define NOCRC		_NOCRC
#define NOMOREEXT	_NOMOREEXT
#define SPECIALATTR	_SPECIALATTR
#define EXTRADATA	_EXTRADATA

#if 0
#define UNKNOWNERR	_UNKNOWNERR
#define INVCMDERR	_INVCMDERR
#define MANYPATERR	_MANYPATERR
#define RENAMEERR	_RENAMEERR
#define TOOMANYERR	_TOOMANYERR
#define INVSWERR	_INVSWERR
#define CRCERR		_CRCERR
#define MKARCERR	_MKARCERR
#define NESTERR		_NESTERR
#endif


/* common message pointer */
char *NOARCNMERR, *NOFNERR, *NOARCERR, *MKTMPERR, *DUPFNERR, *TOOLONGERR,
  *NOFILEERR, *MKFILEERR, *RDERR, *WTERR, *MEMOVRERR, *CTRLBRK, *NOMATCHERR,
  *NOTLZH, *SAMEFILE, *OVERWT, *MKDIR, *MKDIRERR, *RDONLY, *COPYERR,
  *BROKENARC, *MAYDELETE, *MAYCONT, *SAMEDIR, *NEWFILE, *METHODERR,
  *DISKFULL, *NOCRC, *NOMOREEXT, *SPECIALATTR, *EXTRADATA;

#if 0
char *UNKNOWNERR, *INVCMDERR, *MANYPATERR, *RENAMEERR, *TOOMANYERR, *INVSWERR,
  *CRCERR, *MKARCERR, *NESTERR;
#endif


#ifndef FIRST_COMPILATION
char *use;			/* usage */
#endif


#ifdef __cplusplus
}
#endif
#endif /* __INCLUDED_ERRMES_H */
